Get generated small molecule designs
GET/compute/v1/small-molecule/design/{id}/results
Retrieve paginated results from a design run
Path Parameters
id: string
Query Parameters
after_id: optional string
Return results after this ID
before_id: optional string
Return results before this ID
limit: optional number
Max results to return. Defaults to 100.
minimum1
maximum1000
workspace_id: optional string
Workspace ID. Only used with admin API keys. Ignored (or validated) for workspace-scoped keys.
Returns
first_id: string
ID of the first item. Use as before_id for the previous page.
has_more: boolean
last_id: string
ID of the last item. Use as after_id for the next page.
Get generated small molecule designs
curl https://api.boltz.bio/compute/v1/small-molecule/design/$ID/results \
-H "x-api-key: $BOLTZ_API_KEY"{
"data": [
{
"id": "id",
"artifacts": {
"archive": {
"url": "https://example.com",
"url_expires_at": "2019-12-27T18:11:19.117Z"
},
"structure": {
"url": "https://example.com",
"url_expires_at": "2019-12-27T18:11:19.117Z"
}
},
"created_at": "2019-12-27T18:11:19.117Z",
"metrics": {
"binding_confidence": 0,
"complex_iplddt": 0,
"complex_plddt": 0,
"iptm": 0,
"optimization_score": 0,
"ptm": 0,
"structure_confidence": 0
},
"smiles": "smiles",
"warnings": [
{
"code": "code",
"message": "message"
}
]
}
],
"first_id": "first_id",
"has_more": true,
"last_id": "last_id"
}Returns Examples
{
"data": [
{
"id": "id",
"artifacts": {
"archive": {
"url": "https://example.com",
"url_expires_at": "2019-12-27T18:11:19.117Z"
},
"structure": {
"url": "https://example.com",
"url_expires_at": "2019-12-27T18:11:19.117Z"
}
},
"created_at": "2019-12-27T18:11:19.117Z",
"metrics": {
"binding_confidence": 0,
"complex_iplddt": 0,
"complex_plddt": 0,
"iptm": 0,
"optimization_score": 0,
"ptm": 0,
"structure_confidence": 0
},
"smiles": "smiles",
"warnings": [
{
"code": "code",
"message": "message"
}
]
}
],
"first_id": "first_id",
"has_more": true,
"last_id": "last_id"
}